/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Centro;

/**
 *
 * @author fcelestino
 */
public interface CentroDAO {
    public ArrayList<Centro> listarCentro() throws Exception;
    public ArrayList<Centro> listarCentro(String codigoTipoCentro) throws Exception;
    public void registrarCentro(String nombreCentro,String CodigoTipoCentro) throws Exception;
    public void cambiarEstado(String dato, String codigoCentro) throws Exception;
    public ArrayList<Centro> cargarCentro(String codigoTipoCentro) throws Exception;
    public ArrayList<Centro> cargarCentro(String codigoSede,String codigoTipoCentro) throws Exception;
    public Centro nombreCentro(String codCentro) throws Exception;
    public void actualizar(String codCentro, String nombre) throws Exception;
    public int cantidadUsoCentro(String codCentro) throws Exception;
}
